<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar;

class JournalRowView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/journalzeile.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->zahlung);
  }

  protected function getDefaultExportAdapter()
  {
    return new \ExpZahlungen();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn(
      $this->viewModel->toolSection,
      $this->viewModel->toolSettings,
      $this->viewModel->zahlung
    );
  }

  protected function getNoColumnDataModulArray()
  {
    return $this->getBodyDataModulArray();
  }

  protected function getNoColumnExportAdapter()
  {
    return $this->getBodyExportAdapter();
  }
}

class JournalRowViewModel
{
  public $columns;
  public $zahlung;
  public $index;
  public $toolSection;
  public $toolSettings;
}